<div class="modal-content">
    <div class="modal-header">
        <button type="button" class="close" ng-click="$dismiss()" aria-label="Close">
            <em class="ion-ios-close-empty sn-link-close"></em>
        </button>
        <div class="modal-title">
            <h3 class="modal-title">Zatwierdź Pozycje</h3>
        </div>
    </div>
    <div class="modal-body">
        <table class="table">
            <thead>
                <tr>
                    <th>Kod</th>
                    <th>Nazwa</th>
                    <th>Wymiar</th>
                    <th>Zamówiona długość</th>
                    <th>Cena</th>
                    <th>Ilość</th>
                    <th>Gatunek</th>
                    <th>Norma</th>
                    <th>Tolerancja</th>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat-start="item in $ctrl.elementModel.data.positions">
                    <td>{{item.materialCode}}</td>
                    <td>{{item.materialName}}</td>
                    <td>{{item.materialBaseDimension}}: {{item.materialParticularDimention}} [{{item.materialBaseDimensionUnit}}]</td>
                    <td>{{item.salesLength.origSize}}</td>
                    <td>{{item.salesPrice.amount}} {{item.salesPrice.currency}}</td>
                    <td>{{item.count}}</td>
                    <td>{{item.materialSteelGrade}}</td>
                    <td>{{item.materialNorm}}</td>
                    <td>{{item.materialTolerance}}</td>
                    <td>
                        <div class="btn-group">
                            <button type="submit" class="btn btn-warning btn-with-icon" ng-click="$ctrl.findProviderOnClick(item, $index)">
                                <i class="ion-shuffle"></i>Zmień dostawce
                            </button>
                            <button ng-if="!item.confirmed" ng-disabled="item.confirmed" type="submit" class="btn btn-primary btn-with-icon" ng-click="$ctrl.confirmPositionOnClick(item.positionId)">
                                <i class="ion-checkmark"></i>Potwierdź
                            </button>
                        </div>
                    </td>
                </tr>
                <tr ng-repeat-end ng-if="$ctrl.openIndex === $index">
                    <td colspan="7">
                        <table class="table" ng-if="$ctrl.assortmentForMaterial.length">
                            <thead>
                                <tr>
                                    <th>Dostawca</th>
                                    <th>Wymiar</th>
                                    <th>Cena</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-repeat="providerItem in $ctrl.assortmentForMaterial">
                                    <td>{{providerItem.providerName}}</td>
                                    <td>{{providerItem.materialAssortment.salesLength.origSize}}</td>
                                    <td>{{providerItem.materialAssortment.salesPrice.amount}} {{providerItem.materialAssortment.salesPrice.currency}}</td>
                                    <td>
                                        <button type="submit" class="btn btn-primary btn-with-icon" ng-click="$ctrl.changeProviderOnClick(item, providerItem)">
                                            <i class="ion-shuffle"></i>Zmień dostawce
                                        </button>
                                    </td>
                                </tr>
                            </tbody>
                        </table>

                        <div class="callout callout-danger" ng-if="!$ctrl.assortmentForMaterial.length">
                            <h4>Brak dostawcy z tym materiałem</h4>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
